--- title: "VLAN/Q-in-Q mapping for a group: Request" slug: "vlan-q-in-q-mapping-for-a-group-request" tags: ["Reference", "NDRC 4.x", "Customer", "Network Security", "NDR 4.x"] updated: 2026-09-09T18:07:45Z published: 2026-09-09T18:07:45Z canonical: "docs.trellix.com/vlan-q-in-q-mapping-for-a-group-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # VLAN/Q-in-Q mapping for a group: Request To get the VLAN/Q-in-Q mapping for a specific group, send the following request: `GET https://<IA_IP_address>:<port_number>/config/v1/rbac/vlan/mappings/<groupAlias>` Required header: ``` Cookie: px= ``` > [!NOTE] > Note > > To use this request, your user account must be assigned to the Admin role. ### Options - IA_IP_address—The IP address of the NDR appliance running the NDR API. - port_number—The port number of the NDR appliance running the NDR API. - token—This token authenticates the session. By default, the session times out after 24 hours. ### Parameter - `groupAlias`—The name of the group. ### Example ``` GET https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings/39 ``` Required header: ``` Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx ``` ### VLAN/Q-in-Q mapping for a group: Response ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] ``` ###### Response fields - `alias`—The primary key. - `group`—The Active Directory/LDAP group name. - `user`—The logger modification user name. - `type`—The policy type; can be `vlan`, `qinq`, or `_all`. - `tagsStart`/`tagEnd`—Start and end of VLAN or Q-in-Q range. - `outerTag`—Tag for Q-in-Q range. - `innerTags`—Tags for ranges. ###### VlanRange example ``` {  "alias": "fireeye_iss_team",  "group": "CN=Domain Admins,CN=Users,DC=theitbros,DC=com",  "user": "npadmin",  "type": "vlan",  "vlanRanges": [    {      "tagStart": 128,      "tagEnd": 200    }  ] } ``` ###### QinQ example ``` {  "alias": "fireeye_iss_team",  "group": "CN=Domain Admins,CN=Users,DC=theitbros,DC=fireeye.com",  "user": "npadmin",  "type": "qinq",  "qinqRanges": [    {      "outerTag": 1,      "innerTags": {        "tagStart": 128,        "tagEnd": 200      }    }  ] } ``` ### cURL code sample: VLAN/Q-in-Q mapping for a group ``` curl -k --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings/39 ``` This cURL sample includes the following options: - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate. - `--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This option specifies the authentication token for this session. - `https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings/39`—The request URL. Replace `xxx.xxx.xxx.xxx` with the IP address of your NDR appliance, and `39` with the name of your group. ###### Results This example retrieves the VLAN/Q-in-Q mapping for the specified group.